<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE configuration PUBLIC "-//mybatis.org//DTD SQL Map Config 3.0//EN"  
	"http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
	<settings> 
		<!-- 全局映射器启用缓存 -->
		<setting name="cacheEnabled" value="true" />
		<setting name="useGeneratedKeys" value="true" /> 
		<setting name="defaultExecutorType" value="REUSE" /> 
		<!-- 查询返回结果含null没有对应字段值问题 -->
		<setting name="callSettersOnNulls" value="true"/>
		<!-- 驼峰转换 -->
		<setting name="mapUnderscoreToCamelCase" value="true"/>
		<!-- 打印查询语句 -->
		<!-- <setting name="logImpl" value="STDOUT_LOGGING" /> -->
	</settings>

	<typeAliases>
		<!-- base -->
		<typeAlias type="org.fouram.core.base.model.PageData" alias="PageData"/>
		<typeAlias type="org.fouram.core.base.model.Page" alias="Page"/>
		<!-- 扫描文件夹 -->
		<package name="org.fouram.entity"/>
	</typeAliases>
	
	<plugins>
		<plugin interceptor="org.fouram.core.plugin.PagePlugin">
			<property name="dialect" value="mysql"/>
			<property name="pageSqlId" value=".*Page.*"/>
		</plugin>
	</plugins>
</configuration>